.footer {
    background: var(--dark-color);
    color: var(--gray-color);
}

.footer .navigation__menu {
    display: flex;
    align-items: center;
}

.footer .navigation__link {
    padding: 5px 10px;
    color: var(--light-color);
    border-radius: var(--small-border-radius);
    transition: all .3s ease;
}

.footer .navigation__link:hover {
    background: #ffffff18;
}

.footer__container {
    display: flex;
    flex-direction: column;
}

.footer__upper-level {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 50px 10px;
    border-bottom: 1px solid var(--dark-border-color);
}

.footer__middle-level {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 12px 0px;
}

.footer__lower-level {
    background: #191919;
    padding: 12px 0px;
}

.footer__lower-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.footer__info-text {
    line-height: 140%;
    text-align: center;
}

.footer__info-text a,
.footer__link {
    color: var(--gray-color);
    transition: all .2s ease;
}

.footer__info-text a:hover,
.footer__link:hover {
    color: var(--primary-color);
}

@media (max-width:768px) {
    .footer__upper-level {
        flex-direction: column;
        gap: 20px;
        padding: 20px 10px;
    }

    .footer__middle-level {
        flex-direction: column;
        gap: 20px;
    }

    .footer__lower-container {
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

    .footer__navigation {
        width: 100%;
    }

    .footer .navigation__menu {
        display: flex;
        flex-direction: column;
        gap: 15px;
        width: 100%;
    }

    .footer .navigation__item {
        width: 100%;
    }

    .footer .navigation__link {
        padding: 20px 30px;
        width: 100%;
        display: block;
        text-align: center;
        border-radius: var(--small-border-radius);
        border: 1px solid #ffffff25;
    }
}